Loading...
Searching...
No Matches
seqan3::debug_stream_printer< value_t > Struct Template Reference
Core » Debug Stream

A struct that provides a debug stream printer for a specific value type. More...

`#include <seqan3/core/debug_stream/debug_stream_type.hpp>`

Inheritance diagram for seqan3::debug_stream_printer< value_t >:
[legend]

## Public Member Functions

template<typename char_t>
constexpr void | operator() (debug_stream_type< char_t > &stream, fmtflags2 const flag) const
| Sets the fmtflags2 of the debug stream.
template<typename char_t>
constexpr void | operator() (debug_stream_type< char_t > &stream, int8_t const v) const
| Prints an int8_t value to the debug stream.
template<typename char_t>
constexpr void | operator() (debug_stream_type< char_t > &stream, uint8_t const v) const
| Prints a uint8_t value to the debug stream.

## Detailed Description

template<typename value_t>
requires (std::is_same_v<std::remove_cvref_t<value_t>, int8_t> || std::is_same_v<std::remove_cvref_t<value_t>, uint8_t> || std::is_same_v<std::remove_cvref_t<value_t>, fmtflags2>)
struct seqan3::debug_stream_printer< value_t >

A struct that provides a debug stream printer for a specific value type.

This struct provides operator() overloads for printing values of type int8_t, uint8_t, and seqan3::fmtflags2 to a debug stream. The operator() overloads handle the formatting of the values based on the fmtflags2 settings of the debug stream.

Template Parameters

  value_t | The type of the value to be printed.

## Member Function Documentation

## operator()() [1/3]

template<typename value_t>
template<typename char_t>

void seqan3::debug_stream_printer< value_t >::operator() | ( | debug_stream_type< char_t > & | stream,
|  | fmtflags2 const | flag ) const

inline constexpr

Sets the fmtflags2 of the debug stream.

Template Parameters

  char_t | The character type of the debug stream.

Parameters

  stream | The debug stream to set the fmtflags2 for.
  flag | The fmtflags2 value to set.

This function sets the fmtflags2 of the debug stream to the specified flag value.

## operator()() [2/3]

template<typename value_t>
template<typename char_t>

void seqan3::debug_stream_printer< value_t >::operator() | ( | debug_stream_type< char_t > & | stream,
|  | int8_t const | v ) const

inline constexpr

Prints an int8_t value to the debug stream.

Template Parameters

  char_t | The character type of the debug stream.

Parameters

  stream | The debug stream to print to.
  v | The int8_t value to be printed.

This function prints the int8_t value to the debug stream, taking into account the fmtflags2 settings of the stream. If the fmtflags2::small_int_as_number flag is set, the value is printed as an int, otherwise it is printed as is.

## operator()() [3/3]

template<typename value_t>
template<typename char_t>

void seqan3::debug_stream_printer< value_t >::operator() | ( | debug_stream_type< char_t > & | stream,
|  | uint8_t const | v ) const

inline constexpr

Prints a uint8_t value to the debug stream.

Template Parameters

  char_t | The character type of the debug stream.

Parameters

  stream | The debug stream to print to.
  v | The uint8_t value to be printed.

This function prints the uint8_t value to the debug stream, taking into account the fmtflags2 settings of the stream. If the fmtflags2::small_int_as_number flag is set, the value is printed as an unsigned int, otherwise it is printed as is.

The documentation for this struct was generated from the following file:

- debug_stream_type.hpp

Hide me